import random

class IdChecksum:
    @staticmethod
    def generate():
        while True:
            init_num = random.randint(1, 9) 
            id = [random.randint(0, 9) for _ in range(9)]
            id.insert(0, init_num)
            if IdChecksum.is_valid(id):
                return "".join(str(x) for x in id)

    @staticmethod
    def is_valid(checksum):
        sum_digits = sum(checksum[:-1])
        if sum_digits % 10 == checksum[-1]:
            return True
        else:
            return False