
import os
from zipfile import ZipFile

from models.database import Database

class Utils:
    @staticmethod
    def clear_screen():
        os.system('cls' if os.name == 'nt' else 'clear')

    @staticmethod
    def export_db():
        with open(f"./backup.sql", 'w') as f:
            for line in Database.connection.iterdump():
                f.write('%s\n' % line)
        
        with ZipFile("backup.zip", "w") as zip:
            zip.write("backup.sql")

        os.remove("./backup.sql")

    @staticmethod
    def import_db():
        with ZipFile("backup.zip", 'r') as zip:
            zip.extractall("./")
            with open(f"./backup.sql", 'r') as f:
                str = f.read()
                Database.connection.executescript(str)

        os.remove("./backup.sql")