from time import sleep
from services.auth import Auth
from services.utils import Utils
from ui.input_menu import InputMenu
from services.state import State
from views.main_menu import MainMenu
import os

class LoginMenu:
    @staticmethod
    def display():
        while True:
            Utils.clear_screen()              
            login_form = InputMenu("Login Into Furnicur Family System")
            login_form.add_option("USERNAME", "Username", "STR", "superadmin", 1, 250, None).add_option("PASSWORD", "Password", "STR", "Admin321!", 1, 250, None).do_input()

            user = Auth.check_auth(login_form.get_value("USERNAME"), login_form.get_value("PASSWORD"))
            if user:
                State.CURRENT_USER = user
                break
            
            print("Invalid Credentials! Please try again.")
            sleep(1)
        
        MainMenu.display()